# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "graphql-preview/version"

Gem::Specification.new do |spec|
  spec.name          = "graphql-preview"
  spec.version       = GraphQLPreview::VERSION
  spec.authors       = ["Garen J. Torikian", "Christian Joudrey"]
  spec.email         = ["gjtorikian@gmail.com", "cmallette@gmail.com"]
  spec.license       = "MIT"

  spec.summary       = "Provide a system for toggling parts of a GraphQL schema on."
  spec.homepage      = "https://github.com/github/graphql-preview"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "graphql", "~> 1.8"

  spec.add_development_dependency "awesome_print"
  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pry", "~> 0.10.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rubocop-github"
end
